insert into article (id, volume, shelf_time, value_for_obj_fun) values ('water',1.0,1000*356,0.5);
insert into article (id, volume, shelf_time, value_for_obj_fun) values ('soil',2.0,200*356,0.01);
insert into article (id, volume, shelf_time, value_for_obj_fun) values ('seed_of_grain',0.001,50*356,0.01);
insert into article (id, volume, shelf_time, value_for_obj_fun) values ('grain',0.01,1*356,0.1);
insert into article (id, volume, shelf_time, value_for_obj_fun) values ('energy',0.00001,30,1);

insert into recipe (id, owner_id, position_x_influence, position_y_influence) values ('sow_corn','creature',0,0);
insert into recipe (id, owner_id, position_x_influence, position_y_influence) values ('rainfall','field',0,0);
insert into recipe (id, owner_id, position_x_influence, position_y_influence) values ('step_up','creature',0,1);
insert into recipe (id, owner_id, position_x_influence, position_y_influence) values ('step_right','creature',1,0);
insert into recipe (id, owner_id, position_x_influence, position_y_influence) values ('step_right_up','creature',1,1);

insert into ingredient (recipe_id, lp, article_id, article_quant, article_container, article_role) values ('sow_corn',1,'grain',1,'field','product');
insert into ingredient (recipe_id, lp, article_id, article_quant, article_container, article_role) values ('sow_corn',2,'corn',1,'creature','resource');
insert into ingredient (recipe_id, lp, article_id, article_quant, article_container, article_role) values ('sow_corn',3,'energy',1,'creature','resource');
insert into ingredient (recipe_id, lp, article_id, article_quant, article_container, article_role) values ('rainfall',1,'water',1,'field','product');
insert into ingredient (recipe_id, lp, article_id, article_quant, article_container, article_role) values ('step_up',1,'energy',1,'creature','resource');

insert into ingredient (recipe_id, lp, article_id, article_quant, article_container, article_role) values ('step_right',1,'energy',1,'creature','resource');
insert into ingredient (recipe_id, lp, article_id, article_quant, article_container, article_role) values ('step_right_up',1,'energy',2,'creature','resource');
insert into stock (id, capacity) values ('desert_resources',100000);
insert into stock (id, capacity) values ('wood_resources',100000);
insert into stock (id, capacity) values ('market_in_desert',1000);
insert into stock (id, capacity) values ('market_in_wood',1000);
insert into stock (id, capacity) values ('human_initial_stock',100);
insert into stock (id, capacity) values ('dog_initial_stock',100);
insert into stock (id, capacity) values ('jack_backpack',100);
insert into stock (id, capacity) values ('pluto_backpack',100);
insert into stock (id, capacity) values ('mary_backpack',100);

insert into articlesstock (stock_id, article_id, shelf_time, quant) values ('desert_resources','water',10,10);
insert into articlesstock (stock_id, article_id, shelf_time, quant) values ('wood_resources','water',100,1000);
insert into articlesstock (stock_id, article_id, shelf_time, quant) values ('market_in_desert','soil',100,10);
insert into articlesstock (stock_id, article_id, shelf_time, quant) values ('market_in_wood','soil',200,100);
insert into articlesstock (stock_id, article_id, shelf_time, quant) values ('human_initial_stock','energy',14,14);
insert into articlesstock (stock_id, article_id, shelf_time, quant) values ('dog_initial_stock','energy',14,14);
insert into articlesstock (stock_id, article_id, shelf_time, quant) values ('jack_backpack','energy',14,14);
insert into articlesstock (stock_id, article_id, shelf_time, quant) values ('pluto_backpack','energy',14,14);

insert into species (id, activities_count, crossover_probability, mutation_probability, crossover_type, initial_stock_id) values ('human',16,0.9,0.01,'one_point','human_initial_stock');
insert into species (id, activities_count, crossover_probability, mutation_probability, crossover_type, initial_stock_id) values ('dog',8,0.8,0.05,'one_point','dog_initial_stock');


insert into field (id, coordinate_x, coordinate_y, size_x, size_y, resource_id, market_id) values ('desert',0,0,100,100,'desert_resources','market_in_desert');
insert into field (id, coordinate_x, coordinate_y, size_x, size_y, resource_id, market_id) values ('wood',100,100,200,200,'wood_resources','market_in_wood');

insert into phenomenon (field_id, lp, frequency, definition_id, max_occurrence_at_moment) values ('desert',1,356,'rainfall',100);
insert into phenomenon (field_id, lp, frequency, definition_id, max_occurrence_at_moment) values ('wood',1,14,'rainfall',200);

insert into livingcondition (field_id, species_id, creatures_limit, creatures_limit_grid_size, mate_grid_size) values ('desert','human',10,1000,20);
insert into livingcondition (field_id, species_id, creatures_limit, creatures_limit_grid_size, mate_grid_size) values ('desert','dog',20,1000,20);
insert into livingcondition (field_id, species_id, creatures_limit, creatures_limit_grid_size, mate_grid_size) values ('wood','human',100,100,30);
insert into livingcondition (field_id, species_id, creatures_limit, creatures_limit_grid_size, mate_grid_size) values ('wood','dog',200,100,30);


insert into creature (id, backpack_id, species_id, position_x, position_y, age) values ('jack','jack_backpack','human',1,1,0);
insert into creature (id, backpack_id, species_id, position_x, position_y, age) values ('pluto','pluto_backpack','dog',10,10,0);
insert into creature (id, backpack_id, species_id, position_x, position_y, age) values ('mary','mary_backpack','human',2,3,0);


insert into activity (creature_id, lp, definition_id) values ('jack',1,'step_up');
insert into activity (creature_id, lp, definition_id) values ('jack',2,'step_right');
insert into activity (creature_id, lp, definition_id) values ('jack',3,'step_right_up');
insert into activity (creature_id, lp, definition_id) values ('jack',4,'sow_corn');
insert into activity (creature_id, lp, definition_id) values ('jack',5,'step_right');
insert into activity (creature_id, lp, definition_id) values ('jack',6,'step_right_up');
insert into activity (creature_id, lp, definition_id) values ('jack',7,'step_up');
insert into activity (creature_id, lp, definition_id) values ('jack',8,'sow_corn');
insert into activity (creature_id, lp, definition_id) values ('jack',9,'step_up');
insert into activity (creature_id, lp, definition_id) values ('jack',10,'sow_corn');
insert into activity (creature_id, lp, definition_id) values ('jack',11,'step_up');
insert into activity (creature_id, lp, definition_id) values ('jack',12,'sow_corn');
insert into activity (creature_id, lp, definition_id) values ('jack',13,'step_right');
insert into activity (creature_id, lp, definition_id) values ('jack',14,'step_right_up');
insert into activity (creature_id, lp, definition_id) values ('jack',15,'step_right');
insert into activity (creature_id, lp, definition_id) values ('jack',16,'step_right_up');


insert into activity (creature_id, lp, definition_id) values ('mary',1,'step_up');
insert into activity (creature_id, lp, definition_id) values ('mary',2,'sow_corn');
insert into activity (creature_id, lp, definition_id) values ('mary',3,'step_up');
insert into activity (creature_id, lp, definition_id) values ('mary',4,'sow_corn');
insert into activity (creature_id, lp, definition_id) values ('mary',5,'step_up');
insert into activity (creature_id, lp, definition_id) values ('mary',6,'sow_corn');
insert into activity (creature_id, lp, definition_id) values ('mary',7,'step_up');
insert into activity (creature_id, lp, definition_id) values ('mary',8,'sow_corn');
insert into activity (creature_id, lp, definition_id) values ('mary',9,'step_up');
insert into activity (creature_id, lp, definition_id) values ('mary',10,'sow_corn');
insert into activity (creature_id, lp, definition_id) values ('mary',11,'step_up');
insert into activity (creature_id, lp, definition_id) values ('mary',12,'sow_corn');
insert into activity (creature_id, lp, definition_id) values ('mary',13,'step_up');
insert into activity (creature_id, lp, definition_id) values ('mary',14,'sow_corn');
insert into activity (creature_id, lp, definition_id) values ('mary',15,'step_up');
insert into activity (creature_id, lp, definition_id) values ('mary',16,'sow_corn');