-- ================================================================================
--   mysql SQL DDL Script File
-- ================================================================================


-- ================================================================================
-- 
--   Generated by:      tedia2sql -- v1.2.9
--                      See http://tedia2sql.tigris.org/AUTHORS.html for tedia2sql author information
-- 
--   Target Database:   mysql
--   Generated at:      Sat Feb  9 11:07:59 2013
--   Input File:        tables.dia
-- 
-- ================================================================================



-- Generated SQL Constraints Drop statements
-- --------------------------------------------------------------------
--     Target Database:   mysql
--     SQL Generator:     tedia2sql -- v1.2.9
--     Generated at:      Sat Feb  9 11:07:59 2013
--     Input File:        tables.dia

-- drop constraint article_fk for mysql
-- drop constraint stock_fk for mysql
-- drop constraint  for mysql
-- drop constraint article_fk for mysql
-- drop constraint species_fk for mysql
-- drop constraint zone_fk for mysql
-- drop constraint definition_fk for mysql
-- drop constraint creature_fk for mysql
-- drop constraint definition_fk for mysql
-- drop constraint destination_fk for mysql
-- drop constraint recipe_fk for mysql
-- drop constraint container_type_fk for mysql
-- drop constraint zone_fk for mysql
-- drop constraint species_id for mysql
-- drop constraint stock_fk for mysql
-- drop constraint composition_fk for mysql
-- drop constraint  for mysql
-- drop constraint image_fk for mysql
-- drop constraint image_fk for mysql
-- drop constraint image_fk for mysql


-- Generated Permissions Drops
-- --------------------------------------------------------------------
--     Target Database:   mysql
--     SQL Generator:     tedia2sql -- v1.2.9
--     Generated at:      Sat Feb  9 11:07:59 2013
--     Input File:        tables.dia




-- Generated SQL View Drop Statements
-- --------------------------------------------------------------------
--     Target Database:   mysql
--     SQL Generator:     tedia2sql -- v1.2.9
--     Generated at:      Sat Feb  9 11:07:59 2013
--     Input File:        tables.dia



-- Generated SQL Schema Drop statements
-- --------------------------------------------------------------------
--     Target Database:   mysql
--     SQL Generator:     tedia2sql -- v1.2.9
--     Generated at:      Sat Feb  9 11:07:59 2013
--     Input File:        tables.dia

 drop table if exists Article ;
 drop table if exists Stock ;
 drop table if exists Inventory ;
 drop table if exists Species ;
 drop table if exists Ingredient ;
 drop table if exists Creature ;
 drop table if exists Zone ;
 drop table if exists Phenomenon ;
 drop table if exists Activity ;
 drop table if exists ContainerType ;
 drop table if exists Recipe ;
 drop table if exists LivingCondition ;
 drop table if exists Market ;
 drop table if exists Field ;
 drop table if exists Image ;
 drop table if exists Parameter ;


-- Generated SQL Schema
-- --------------------------------------------------------------------
--     Target Database:   mysql
--     SQL Generator:     tedia2sql -- v1.2.9
--     Generated at:      Sat Feb  9 11:07:59 2013
--     Input File:        tables.dia


-- Article
create table Article (
  id                        varchar(32) not null,
  volume                    float not null,
  shelf_time                int not null,
  value_for_obj_fun         float,
  image_id                  varchar(32),
  constraint pk_Article primary key (id)
  
) ;

-- Stock
create table Stock (
  id                        varchar(32) not null,
  capacity                  float not null,
  constraint pk_Stock primary key (id)
) ;

-- Inventory
create table Inventory (
  stock_id                 constraint fk_Stock references Stock (id)  on delete cascade,
  article_id                constraint fk_Article references Article (id),
  shelf_time                int not null,
  quant                     float,
  constraint pk_Inventory primary key (stock_id,article_id,shelf_time)
  ) ;

-- Species
create table Species (
  id                        varchar2(32) not null,
  activities_count          int,
  crossover_probability     float,
  mutation_probability      float,
  crossover_type            varchar(32),
  initial_stock_id          varchar(32),
  constraint pk_Species primary key (id)
) ;

-- Ingredient
create table Ingredient (
  recipe_id                 constraint fk_Recipe references Recipe (id)  on delete cascade,
  article_id                constraint fk_Article references Article (id) ,
  article_quant             float,
  article_container         varchar2(32) not null,
  article_role              varchar(32) not null,
  constraint pk_Ingredient primary key (recipe_id,article_id,article_container,article_role)
) ;

-- Creature
create table Creature (
  id                        varchar(32) not null,
  species_id        constraint fk_Species references Species (id) ,
  age                       int,
  backpack_id       constraint fk_Backpack references Stock (id) ,
  position_x                int,
  position_y                int,
  image_id                  varchar(32),
  constraint pk_Creature primary key (id)
) ;

-- Zone
create table Zone (
  id                        varchar(32) not null,
  coordinate_x              int not null,
  coordinate_y              int not null,
  size_x                    int,
  size_y                    int,
  image_id                  varchar(32),
  constraint pk_Zone primary key (id)
) ;

-- Phenomenon
create table Phenomenon (
  zone_id                     constraint fk_Zone references Zone (id)  on delete cascade,
  definition_id          constraint fk_Recipe references Recipe (id) ,
  init_position_y           int not null,
  init_position_x           int not null,
  frequency                 int,
  max_occurrence_at_moment  int,
  range                     int,
  constraint pk_Phenomenon primary key (zone_id,definition_id,init_position_y,init_position_x)
) ;

-- Activity
create table Activity (
  creature_id            constraint fk_Creature references Creature (id)  on delete cascade,
  lp                        int not null,
  definition_id            constraint fk_Recipe references Recipe (id) ,
  constraint pk_Activity primary key (creature_id,lp)
) ;

-- ContainerType
create table ContainerType (
  id                        int not null,
  description               varchar(128),
  constraint pk_ContainerType primary key (id)
) ;

-- Recipe
create table Recipe (
  id                        varchar(32),
  owner_id                  constraint fk_Owner references ContainerType (id) ,
  position_x_influence      int,
  position_y_influence      int
) ;

-- LivingCondition
create table LivingCondition (
  zone_id                 constraint fk_Zone references Zone (id)  on delete cascade,
  species_id            constraint fk_Species references Species (id) ,
  creatures_limit           int,
  creatures_limit_grid_size int,
  mate_grid_size            int,
  constraint pk_LivingCondition primary key (zone_id,species_id)
) ;

-- Market
create table Market (
  store_id                constraint fk_Store references Stock (id)  ,
  position_x                int,
  position_y                int,
  size_x                    int,
  size_y                    int,
  constraint pk_Market primary key (store_id)
) ;

-- Field
create table Field (
  resource_id              constraint fk_Resource references Stock (id) ,
  position_x                int,
  position_y                int,
  constraint pk_Field primary key (resource_id)
) ;

-- Image
create table Image (
  id                        varchar(32) not null,
  path                      varchar(256),
  constraint pk_Image primary key (id)
) ;

-- Parameter
create table Parameter (
  id                        varchar(256) not null,
  value                     varchar(256),
  constraint pk_Parameter primary key (id)
) ;

insert into ContainerType (id, description)
values ("creature", "Source or destination is creature");

insert into ContainerType (id, description)
values ("field", "Source or destination is field");

insert into ContainerType (id, description)
values ("market", "Source or destination is market");
-- Generated SQL Views
-- --------------------------------------------------------------------
--     Target Database:   mysql
--     SQL Generator:     tedia2sql -- v1.2.9
--     Generated at:      Sat Feb  9 11:07:59 2013
--     Input File:        tables.dia




-- Generated Permissions
-- --------------------------------------------------------------------
--     Target Database:   mysql
--     SQL Generator:     tedia2sql -- v1.2.9
--     Generated at:      Sat Feb  9 11:07:59 2013
--     Input File:        tables.dia



-- Generated SQL Insert statements
-- --------------------------------------------------------------------
--     Target Database:   mysql
--     SQL Generator:     tedia2sql -- v1.2.9
--     Generated at:      Sat Feb  9 11:07:59 2013
--     Input File:        tables.dia



-- Generated SQL Constraints
-- --------------------------------------------------------------------
--     Target Database:   mysql
--     SQL Generator:     tedia2sql -- v1.2.9
--     Generated at:      Sat Feb  9 11:07:59 2013
--     Input File:        tables.dia

-- alter table Inventory add constraint article_fk foreign key () references Article () for mysql
-- alter table Inventory add constraint stock_fk foreign key () references Stock () for mysql
-- alter table Species add constraint  foreign key () references Stock () for mysql
-- alter table Ingredient add constraint article_fk foreign key () references Article () for mysql
-- alter table Creature add constraint species_fk foreign key () references Species () for mysql
-- alter table Phenomenon add constraint zone_fk foreign key () references Zone () for mysql
-- alter table Phenomenon add constraint definition_fk foreign key () references Recipe () for mysql
-- alter table Activity add constraint creature_fk foreign key () references Creature () for mysql
-- alter table Activity add constraint definition_fk foreign key () references Recipe () for mysql
-- alter table Ingredient add constraint destination_fk foreign key () references ContainerType () for mysql
-- alter table Ingredient add constraint recipe_fk foreign key () references Recipe () for mysql
-- alter table Recipe add constraint container_type_fk foreign key () references ContainerType () for mysql
-- alter table LivingCondition add constraint zone_fk foreign key () references Zone () for mysql
-- alter table LivingCondition add constraint species_id foreign key () references Species () for mysql
-- alter table Creature add constraint stock_fk foreign key () references Stock () for mysql
-- alter table Market add constraint composition_fk foreign key () references Stock () for mysql
-- alter table Field add constraint  foreign key () references Stock () for mysql
-- alter table Article add constraint image_fk foreign key () references Image () for mysql
-- alter table Zone add constraint image_fk foreign key () references Image () for mysql
-- alter table Creature add constraint image_fk foreign key () references Image () for mysql