#ifndef FIELDMANAGER_H
#define FIELDMANAGER_H
#include "model/field.h"
#include "managertemplate.h"

class FieldManager : public SingletonManagerTemplate<Field, FieldManager, QString>
{
public:

    // Wczytaj z domyślej bazy dancyh informację o polach. Aktualnie znajdujące się obiekty
    // w managerze nie są czyszczone.
    bool load();
    // Zapisz w bazie wszystkie dane dotyczące pól w managerze
    bool save (const Field &field);
    void remove(QString id);
    QString getTableName () const { return "field"; }
    QString getIdFilter (QString id) const { return QString ("resource_id = '%1'").arg(id); }

    const Field *objectAtPosition (int x, int y) const;
};

#endif // FIELDMANAGER_H
