#include <assert.h>
#include <QSqlTableModel>
#include <QSqlRecord>
#include <QDebug>
#include <QSqlError>
#include <QSqlQuery>
#include <QImage>
#include "imagemanager.h"

ImageManager::ImageManager()
{
}

bool ImageManager::load()
{
    QSqlQueryModel model;
    model.setQuery("SELECT * FROM image");
    for (int i = 0; i < model.rowCount(); ++i) {
        QSqlRecord r = model.record(i);
        QString id = r.value("id").toString();
        QString path = r.value("path").toString();
        QImage *imagePtr = new QImage(path);
        Image image(id, imagePtr, path);
        merge(image);
        qDebug() << "image" << image.getId() << " loaded ( format " << imagePtr->format()<< ")";
    }
    return true;
}

bool ImageManager::save(const Image &image)
{
    QMap<QString, QVariant> values;
    values.insert ("id", image.getId());
    values.insert ("path", image.getPath());
    return SingletonManagerTemplate::save (values, image.getId());
}

void ImageManager::clear()
{
    Cache::iterator imageIter = cache.begin();
    Cache::iterator endIter = cache.end();
    while ( imageIter != endIter) {
        delete imageIter->second.getImagePtr();
        imageIter++;
    }
    SingletonManagerTemplate::clear();
}


