#ifndef IMAGEMANAGER_H
#define IMAGEMANAGER_H
#include <QString>
#include "managertemplate.h"
#include "model/idable.h"
class QImage;

class Image : public Idable<QString> {
public:
    Image(QString id, QImage *qImagePtr = NULL, QString imagePath = QString::null) :
        Idable<QString> (id),
        qImagePtr(qImagePtr),
        path(imagePath) {}
    const QImage *getImagePtr() const { return qImagePtr; }
    const QString getPath() const { return path; }
private:
    QImage *qImagePtr;
    QString path;
};

class ImageManager : public SingletonManagerTemplate<Image, ImageManager, QString>
{
public:
    ImageManager();
    bool load();
    virtual bool save(const Image &image);    
    QString getTableName () const { return "image"; }
    QString getIdFilter (QString id) const { return QString ("id = '%1'").arg(id); }

    void clear();
};

#endif // IMAGEMANAGER_H
