#ifndef NATURALPHENOMENA_H
#define NATURALPHENOMENA_H
#include "managertemplate.h"
#include "model/phenomenon.h"
#include "model/field.h"
#include "model/market.h"

class NaturalPhenomena : public SingletonManagerTemplate<Phenomenon, NaturalPhenomena, QString>
{
public:
    // Zaznacz upływ czasu. Niech zajdą zjawiska,
    // które powinny się w danym czasiu odbyć
    void passageOfTime(int day);

    // Wczytaj z domyślej bazy dancyh informację o zjawiskach. Aktualnie znajdujące się obiekty
    // w managerze nie są czyszczone.
    bool load();
    bool save(const Phenomenon &phenomenon);
//    void remove(QString id);

    QString getTableName () const { return "phenomenon"; }
    QString getIdFilter (QString id) const { return QString ("id = '%1'").arg(id); }
protected:
    // Zastosuj raz zjawisko o zadanej definicji na zadanym polu i markecie
    void applyPhenomenon (const Field *field,
                          const Market *market,
                          const Recipe *definition);
};

#endif // NATURALPHENOMENA_H
