#include <assert.h>
#include <QSqlTableModel>
#include <QSqlRecord>
#include <QDebug>
#include <QSqlError>
#include <QSqlQuery>
#include <QString>

#include "controller/parammanager.h"


bool ParamManager::load()
{
    QSqlQueryModel model;
    model.setQuery("SELECT * FROM parameter");
    for (int i = 0; i < model.rowCount(); ++i) {
        QSqlRecord r = model.record(i);
        QString id = r.value("id").toString();
        QVariant value = r.value("value");
        Parameter param (id, value);
        merge(param);
        qDebug() << "param " << param.getId() << " loaded";
    }
    return true;
}

bool ParamManager::save(const Parameter &param) {
    QMap<QString, QVariant> values;
    values.insert ("id", param.getId());
    values.insert ("value", param.value());
    return SingletonManagerTemplate::save (values, param.getId());

}
