#ifndef PARAMMANAGER_H
#define PARAMMANAGER_H

#include "model/idable.h"
#include "managertemplate.h"

class Parameter : public Idable<QString> {
public:
    Parameter (QString id, QVariant value) : Idable (id), _value(value) {}
    QVariant value() const { return _value; }
private:
    QVariant _value;
};

class ParamManager : public SingletonManagerTemplate<Parameter, ParamManager, QString>
{
public:
    // Wczytaj z domyślej bazy dancyh informację o towarach. Aktualnie znajdujące się obiekty
    // w managerze nie są czyszczone.
    bool load();
    bool save(const Parameter &parameter);
    QString getTableName () const { return "parameter"; }
    QString getIdFilter (QString id) const { return QString ("id = '%1'").arg(id); }

};

#endif // PARAMMANAGER_H
