#ifndef STOCKMANAGER_H
#define STOCKMANAGER_H

#include "model/stock.h"
#include "managertemplate.h"
#include "emitters/messenger.h"

class StockManager : public SingletonManagerTemplate<Stock, StockManager, QString>
{
public:
    StockManager();
    // Dodaj do zbioru kontenerów containers parę <owner, stock *>
    void appendTo (Stock::Set &containers, Container::Type owner, QString stockId);
    void copyStock (QString sourceId, QString destId);
    double valueOfStock (QString stockId);
    // Zaznacz upływ dnia w zadanym pojemniku
    void dayPassed(QString stockId);
    // Wczytaj z domyślej bazy dancyh informację o zasobach. Aktualnie znajdujące się obiekty
    // w managerze nie są czyszczone.
    bool load();
    bool save(const Stock &stock);
    void remove(QString id);

    QString getTableName () const { return "stock"; }
    QString getIdFilter (QString id) const { return QString ("id = '%1'").arg(id); }

    void init();
    // Ustaw wskazanie do obiektu za pomocą którego będziemy informowali o rożnych zdarzeniach w świecie
    void setMessenger (Messenger *worldMessenger);

    // Przesuń zawartość zasobu o id srcStockId, do zasobu dstStockId.
    // Jeżeli w przeznaczeniu zmieściły się wszystkie elementy ze źródła
    // zwróć true. False poza.
    bool moveContent (QString sourceStockId, QString destinationStockId, bool partlyMove = true);
protected:

    virtual bool removeDependent (QString stockId);
    void infoAboutArticlesQuantChanges(const Stock &stock, double sign = 1.0);

private:
    Messenger *messenger;
};

#endif // STOCKMANAGER_H
