#ifndef ZONEMANAGER_H
#define ZONEMANAGER_H
#include "model/zone.h"
#include "model/field.h"
#include "model/market.h"
#include "model/species.h"
#include "managertemplate.h"

class ZoneManager : public SingletonManagerTemplate<Zone, ZoneManager, QString>
{
public:

    // Zaznacz upływ czasu. Niech zajdą zjawiska,
    // które powinny się w danym czasiu odbyć
  //  void passageOfTime(int day, Zone &zone);
  //  void passageOfTime(int day, QString zoneId);
    // Znajdź pole zawierające w swoim obszarze zadany punkt
    // Jeżeli brak takiego pola zwróć NULL.
    Zone *zoneWithPoint(int x, int y);

    // Przy dodawaniu pola aktualizuj rozmiary świata
    virtual void merge(const Zone& zone);

    // Po wyczyszczeniu informacji o polach aktualizuj zerowy rozmiar świata
    virtual void clear();

    // Informacja o rozmiarze obszaru wszystkich pól
    const Area &getWorldArea() const;

    // Reprodukcja wszystkich gatunków znajdujących się na polu
    void reproduction (const Zone &zone);

    // Ciśnienie ewolucyjne zastosowane do wszystkich osobników znajdujących się na polu

    // TODO: Jeżeli dla pola field nie będzie zdefiniowanych warunków życia związanych z gatunkiem
    // który na polu, żyje, to nie będzie on dotknięty !!!
    void evolutionaryPressure(const Zone &zone);
    // Wczytaj z domyślej bazy dancyh informację o polach. Aktualnie znajdujące się obiekty
    // w managerze nie są czyszczone.
    bool load();
    bool save(const Zone &zone);

    QString getTableName () const { return "zone"; }
    QString getIdFilter (QString id) const { return QString ("id = '%1'").arg(id); }

protected:
    bool removeDependent(QString zoneId);
protected:
    static Area worldArea;

};

#endif // ZONEMANAGER_H
