#include "fielddialog.h"
#include "ui_fielddialog.h"
#include "controller/fieldmanager.h"
#include "controller/stockmanager.h"


//StockTableModel::StockTableModel(const Stock &initial)
//    : QAbstractTableModel (0)
//{
//    Stock::Articles::const_iterator i = initial.getArticles().begin();
//    Stock::Articles::const_iterator j = initial.getArticles().end();
//    int count = 0;
//    while (i != j) {
//        Stock::ArticleQuants::const_iterator a = i->second.begin();
//        Stock::ArticleQuants::const_iterator b = i->second.end();
//        QVector <QVariant> row;
//        while (a != b) {
//            row.push_back(i->first);
//            row.push_back(a->shelfTime);
//            row.push_back(a->quant);
//            a ++;
//        }
//        stock.push_back(row);
//        i++;
//    }

//}

//int StockTableModel::rowCount(const QModelIndex &parent) const
//{
//    return stock.size();
//}

//int StockTableModel::columnCount(const QModelIndex &parent) const
//{
//    return 3;
//}

//QVariant StockTableModel::data(const QModelIndex &index, int role) const
//{
//    if (!index.isValid() || role != Qt::DisplayRole )
//            return QVariant();
//    return stock.at(index.row()).at(index.column());
//}

//bool StockTableModel::setData(const QModelIndex &index, const QVariant &value, int role)
//{
//    stock[index.column()][index.row()] = value;
//}

//Qt::ItemFlags StockTableModel::flags(const QModelIndex &index) const
//{
//    return Qt::ItemIsEnabled;
//}



FieldDialog::FieldDialog(QWidget *parent) :
    QDialog(parent),
    ui(new Ui::FieldDialog), field(QString::null, 0,0)
{
    ui->setupUi(this);
    stockView = new StockInfoView(this);
    ui->gridLayout->addWidget(stockView);
  //  stockModel->setTable("inventory");

}

FieldDialog::~FieldDialog()
{
    delete ui;

}

void FieldDialog::accept() {
    FieldManager *fieldManager = FieldManager::getManager();
    StockManager *stockManager = StockManager::getManager();
    Stock stock (ui->fieldIdLineEdit->text(), ui->stockCapacitydoubleSpinBox->value());
    field.setId(ui->fieldIdLineEdit->text());
    field.setCoordinates(ui->xPosSpinBox->value(), ui->yPosSpinBox->value());
    //stockModel->data()
    //stockManager->merge(stock);
    fieldManager->merge(field);
    QDialog::accept();
}

QString FieldDialog::fieldId() const
{
    return ui->fieldIdLineEdit->text();
}

void FieldDialog::setField(const Field init)
{
    FieldManager *fieldManager = FieldManager::getManager();
    StockManager *stockManager = StockManager::getManager();

    field = init;
    int x = field.getCoordinates().x();
    int y = field.getCoordinates().y();
    ui->xPosSpinBox->setValue(x);
    ui->yPosSpinBox->setValue(y);
    const Field *f = fieldManager->objectAtPosition(x, y);
    const Stock *s = NULL;
    if (f != NULL) {
      ui->fieldIdLineEdit->setText(f->getId());
      //stockModel->setFilter(QString("stock_id='%1'").arg(field.getId()));
      //stockModel->setStock(*stock);
      s = stockManager->find(f->getResourcesId());
    } else {
        ui->fieldIdLineEdit->setText(init.getId());
    }
    if (s) {
        stockView->displayStockInfo(s->getId());
    }


   // stockModel->select();
}
