#ifndef MESSENGER_H
#define MESSENGER_H
#include <QObject>

class Messenger : public QObject
{
Q_OBJECT
public:
    Messenger(QObject *parent);
    void creatureBornSignal(QString creatureId);
    void creatureDiedSignal(QString creatureId);
    void creatureActivityDoneSignal(QString creatureId, QString activityId);
    void stockChangedSignal(QString stockId);
    void articleQuantChangeSignal(QString stockId, QString articleId, double delta);
signals:
    void creatureBorn (QString creatureId);
    void creatureDied (QString creatureId);
    void creatureActivityDone (QString creatureId, QString activityId);
    void stockChanged (QString stockId);
    void articleQuantChange(QString stockId, QString articleId, double delta);
};

#endif // MESSENGER
