#ifndef CREATURE_H
#define CREATURE_H
#include <map>
#include "stock.h"
#include "idable.h"
#include "species.h"
#include "recipe.h"
#include "util/area.h"
class Creature : public Idable<QString>
{
public:


    class Activities : public std::list<QString> {

    };

    Creature(QString id, QString creatureImageId = QString::null);
    Creature(QString id, const Coordinates &bornCoordiantes, const Species &species, const Stock &stock,
             int age = 0, QString creatureImageId = QString::null);
    void move(int deltaX, int deltaY, const Area &world);
    const QString &getBackpackId() const;
    void setBackpackId(QString creatureBackpackId);
    const Coordinates &getCoordinates () const;
    void setCoordinates (const Coordinates &newCoordinates);
    const Activities &getActivities () const;
    void addActivity (const Recipe &activity);
    void clearActivities ();
    void setSpecies (const Species &species);
    const QString getSpeciesId () const;
    void increaseAge();
    int getAge () const;
    const QString getImageId() const;
private:
    QString backpackId;
    Coordinates coordinates;
    Activities activities;
    QString species;
    int age;
    QString imageId;
};

#endif // CREATURE_H
