#include <assert.h>
#include "recipe.h"


Recipe::Recipe(QString recipeName, Container::Type recipeOwner, int posXEff, int posYEff)
    : Idable(recipeName), owner(recipeOwner)
{
    setPositionEffect(posXEff, posYEff);
}

void Recipe::addProduct(Container::Type destination, QString articleId, double quantity)
{
    Recipe::Element product (destination, articleId, quantity);
    products.push_back(product);
    containers.insert(destination);
}

void Recipe::addResource(Container::Type  source, QString articleId, double quantity)
{
    Recipe::Element resource (source, articleId, quantity);
    resources.push_back(resource);
    containers.insert(source);
}

void Recipe::setPositionEffect(int deltaX, int deltaY)
{
    positionEffect.deltaX = deltaX;
    positionEffect.deltaY = deltaY;
}

const Recipe::Products &Recipe::getProducts() const
{
    return products;
}

const Recipe::Resources &Recipe::getResources() const
{
    return resources;
}

const Recipe::ContainerTypes &Recipe::getRequiredContainerTypes() const
{
    return containers;
}

const Recipe::PositionEffect &Recipe::getPositionEffect() const
{
    return positionEffect;
}

Container::Type Recipe::getOwner() const
{
    return owner;
}
