#ifndef RECIPE_H
#define RECIPE_H

#include <vector>
#include <set>
#include "article.h"
#include "container.h"
class Recipe : public Idable<QString>
{
public:


    class Element {
    public:
        Element (Container::Type _container,
                 QString _articleId,
                 double _quant
                 ) : container(_container), articleId(_articleId), quant(_quant)
        {
        }

        Container::Type container;
        QString articleId;
        double quant;
    };

    class PositionEffect {
    public:
        PositionEffect (): deltaX(0), deltaY(0) {};
        int deltaX;
        int deltaY;
        bool isEffective() const {
            return deltaX != 0 || deltaY != 0;
        };
    };

    class Products : public std::vector<Element> {};
    class Resources : public std::vector<Element> {};
    class ContainerTypes : public std::set<Container::Type> {};

//    Recipe();
    Recipe(QString recipeName, Container::Type recipeOwner, int posXEff = 0, int posYEff = 0);

    void addProduct(Container::Type destination,
                    QString articleId,
                    double quantity);

    void addResource(Container::Type source,
                     QString articleId,
                     double quantity);

    void setPositionEffect (int deltaX, int deltaY);

    const Products &getProducts() const;
    const Resources &getResources() const;
    const ContainerTypes &getRequiredContainerTypes() const;
    const PositionEffect &getPositionEffect() const;
    Container::Type getOwner () const;
private:
    Resources resources;
    Products products;
    PositionEffect positionEffect;
    // Cache dla wykorzystywanych przez recepturę kontenerów
    Recipe::ContainerTypes containers;
    Container::Type owner;

};

#endif // RECIPE_H
