#include "species.h"

Species::Species(QString id, int activitiesCount, QString initialStockId, QString crossoverType) :
    Idable<QString>(id), activitiesCount(activitiesCount)
{
    this->initialStockId = initialStockId;
    this->crossoverType = crossoverType;
}

int Species::getActivitiesCount() const {
    return activitiesCount;
}

const QString Species::getInitialStockId() const
{
    return initialStockId;
}

void Species::setCrossoverProbability(double probability)
{
    crossoverProbability = probability;
}

double Species::getCrossoverProbability() const
{
    return crossoverProbability;
}

void Species::setMutationProbability(double probability)
{
    mutationProbability  = probability;
}

double Species::getMutationProbability() const
{
    return mutationProbability;
}

QString Species::getCrossoverType() const
{
    return crossoverType;
}
