#ifndef SPECIES_H
#define SPECIES_H
#include <QString>
#include "stock.h"
#include "idable.h"

class Species : public Idable<QString>
{
public:
    Species (QString id, int activitiesCount = 16,
             QString initialStockId = QString::null,
             QString crossoverType = "one_point");
    int getActivitiesCount() const;
    const QString getInitialStockId () const;
    void setCrossoverProbability (double probability);
    double getCrossoverProbability () const;
    void setMutationProbability (double probability);
    double getMutationProbability () const;
    QString getCrossoverType() const;
private:
    // Liczba czynności jakie może wykonać przestawiciel danego gatunki
    int activitiesCount;
    // Pojemność plecaka i to z jakimi zapasami "rodzą" się osobniki tego gatunku
    // przechowywana jest per gatunek
    // Stock initialStock;
    QString initialStockId;
    double mutationProbability;
    double crossoverProbability;
    QString crossoverType;
};

#endif // SPECIES_H
