#ifndef ZONE_H
#define ZONE_H

#include <QString>
#include "stock.h"
#include "recipe.h"
#include "species.h"
#include "util/area.h"

class Zone : public Idable<QString>
{
public:

    Zone(QString name, QString zoneImageId = QString::null);
    ~Zone();


//    class NaturalPhenomena : public std::list<Phenomenon> { };
//    // Związane z polem receptury określają jego własności
//    // Jeżeli np. pole posiada recepturę wzrostu zboża (oraz oczywiści eodpowiednie zasoby),
//    // to może na nim rosnąć zboże. W przeciwnym wypadku jest "jałowe".
//    const NaturalPhenomena &getNaturalPhenomena() const;
//    void addPhenomenon (const Phenomenon& phenomenon);

    class LivingCondition {
    public:
        LivingCondition (const Species &species, int _creaturesLimit,
                         int _creaturesLimitGridSize, int _mateGridSize,
                         double _mateProbability) :
            speciesId (species.getId()), creaturesLimit (_creaturesLimit), creaturesLimitGridSize (_creaturesLimitGridSize),
            mateGridSize (_mateGridSize), mateProbability(_mateProbability)
        {
        }
        QString speciesId;
        int creaturesLimit;
        int creaturesLimitGridSize;
        int mateGridSize;
        double mateProbability;
    };

    // Warunki rozmnażania i wymierania osobników z poszczególnych gatunków
    class LivingConditions : public std::list<LivingCondition> { };
    void addLivingCondition (const LivingCondition &livingCondition);
    const LivingConditions &getLivingConditions () const;

    // Definicja obszaru i początku obszaru względem układu współrzędnych świata
    const Area &getArea() const;
    void setArea (const Area &fieldArea);

    const QString getImageId() const;


private:
    //NaturalPhenomena phenomena;
    LivingConditions livingConditions;
    Area area;
    QString imageId;
};

#endif // ZONE_H
