#include "area.h"
#include <assert.h>

int Coordinates::x() const
{
    return first;
}

int Coordinates::y() const
{
    return second;
}

Area::Area () : coordinates (0, 0) {
    size.first = 0;
    size.second = 0;
}

Area::Area (int x, int y, int sizeX, int sizeY) :
    coordinates (x, y) {
    size.first = sizeX;
    size.second = sizeY;
}

int Area::x() const
{
    return coordinates.first;
}

int Area::y() const
{
    return coordinates.second;
}

int Area::width() const
{
    return size.first;
}


int Area::height() const
{
    return size.second;
}


bool Area::contains(const Coordinates &c) const
{
    return coordinates.first <= c.first
            && coordinates.second <= c.second
            && coordinates.first + size.first >= c.first
            && coordinates.second + size.second >= c.second;
}

