#ifndef CREATUREVIEW_H
#define CREATUREVIEW_H

#include <QtGui/QColor>
//#include <QtGui/QGraphicsItem>
#include <QGraphicsColorizeEffect>
#include <QPropertyAnimation>
#include <QParallelAnimationGroup>
#include "emitters/viewemitter.h"
#include "visualelement.h"

class CreatureView: public VisualElement
{
    Q_OBJECT
public:
     //explicit ActivitiesInfoView(QWidget *parent = 0);
    explicit CreatureView(QString elementId, const QColor &color, QGraphicsObject *parent = 0);
    ~ CreatureView();
    QRectF boundingRect() const;
    QPainterPath shape() const;
    void paint(QPainter *painter, const QStyleOptionGraphicsItem *item, QWidget *widget);

    static bool paintObjectiveValue;
    static bool paintPlannedMovesSelectedCreature;
signals:
     void creatureSelected (QString id);
protected:
    void mouseReleaseEvent ( QGraphicsSceneMouseEvent * event ) ;
private:
   // QList<QPointF> stuff;
   // int a[10000000];
    QRectF rectF;
  //  QRectF activitiesBoundingRect;
    QRectF imageRectF;
  //  ViewEmitter *emmiter;
    int fontSize;
    QGraphicsColorizeEffect *effect ;
   // QPainterPath path;
};

class CreatureVisual {
public:
    CreatureVisual () :
        view (NULL), animation(NULL), bornAnimation(NULL) {}

    QGraphicsObject *view;
    QPropertyAnimation *animation;
    QParallelAnimationGroup *bornAnimation;
  // bool removeVisual;
};

class CreaturesVisuals : public QMap<QString, CreatureVisual> {

};


#endif // CREATUREVIEW_H
