#ifndef FIELDVIEW_H
#define FIELDVIEW_H
#include <QtGui/QColor>
#include <QtGui/QGraphicsItem>
#include "visualelement.h"


class FieldView: public VisualElement
{
    Q_OBJECT
public:
    FieldView (QString elementId, const QColor &color, QString resourcesStockId, QGraphicsObject *parent = 0);
    QRectF boundingRect() const;
    QPainterPath shape() const;
    void paint(QPainter *painter, const QStyleOptionGraphicsItem *item, QWidget *widget);
    static int FIELD_SIZE;
signals:
    void fieldSelected(QString id);
protected:
    void mouseReleaseEvent(QGraphicsSceneMouseEvent *event);
private:
    QList<QPointF> stuff;
  //  QString id;
    QRectF rectF;
    QString resourcesId;
    qreal penFrameWidth;
  //  ViewEmitter *emmiter;
};

#endif // FIELDVIEW_H
