#include <QDebug>
#include <QGraphicsScene>
#include "visualelement.h"

VisualElement::VisualElement(QString visualElementId, const QColor &color, int zValue, QGraphicsObject *parent) :
    QGraphicsObject(parent)
{
    setElementId(visualElementId);
    this->color = color;
    setZValue(zValue);
    setFlags(ItemIsSelectable);
    setAcceptsHoverEvents(true);
}

VisualElement::~VisualElement()
{
}

void VisualElement::setElementId(QString id)
{
    setObjectName(id);
}

const QString VisualElement::getElementId() const
{
    return objectName();
}
