
#include <QtGui>
#include "controller/zonemanager.h"
#include "controller/imagemanager.h"
#include "zoneview.h"

ZoneView::ZoneView(QString id, const QColor &color, int sizeX, int sizeY,
                   QGraphicsObject *parent)
    :VisualElement(id, color, 0, parent)
{
     rectF.setCoords(0, 0, sizeX, sizeY);
}

QRectF ZoneView::boundingRect() const
{
    return rectF;
}

void ZoneView::paint(QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget)
{
    Q_UNUSED(widget);
/*
    QColor fillColor = (option->state & QStyle::State_Selected) ? color.dark(150) : color;
    if (option->state & QStyle::State_MouseOver)
        fillColor = fillColor.light(125);

    QPen oldPen = painter->pen();
    QPen pen = oldPen;
    int width = 0;
    if (option->state & QStyle::State_Selected)
        width += 2;

    pen.setWidth(width);
    QBrush b = painter->brush();
    painter->setBrush(QBrush(fillColor.dark(option->state & QStyle::State_Sunken ? 120 : 100)));

    painter->drawRect(rectF.toRect());
    painter->setBrush(b);

  */


    const QImage *imagePtr = NULL;
    const Zone *zone = ZoneManager::getManager()->find(getElementId());
    if (zone ) {
        const Image *image = ImageManager::getManager()->find(zone->getImageId());
        if (image) {
            imagePtr = image->getImagePtr();
            if (imagePtr && imagePtr->format() == QImage::Format_Invalid) {
                qWarning() << " INVALID FORMAT FOR IMAGE " << zone ->getImageId();
            }
        } else {
            qDebug() << "not found image " << zone ->getImageId();
        }
    } else {
        qDebug() << "not found zone " << getElementId() << " while painting" << "[" << this << "]" ;
    }
    if (imagePtr) {
        painter->drawImage(rectF, *imagePtr);
    } else {
        QColor fillColor = (option->state & QStyle::State_Selected) ? color.dark(150) : color;
        if (option->state & QStyle::State_MouseOver)
            fillColor = fillColor.light(125);

        QBrush b = painter->brush();
        painter->setBrush(QBrush(fillColor.dark(option->state & QStyle::State_Sunken ? 120 : 100)));
        painter->drawRect(rectF.toRect());
        painter->setBrush(b);
    }

}
