#ifndef CREATUREMANAGERTEST_H
#define CREATUREMANAGERTEST_H

#include <cppunit/extensions/HelperMacros.h>
#include <QString>
#include "exampledata.h"
#include "model/creature.h"
#include "model/species.h"

class CreatureManagerTest : public ExampleData
{
    CPPUNIT_TEST_SUITE( CreatureManagerTest );
    CPPUNIT_TEST( movingTest );
    CPPUNIT_TEST( dayActivityTest );
    CPPUNIT_TEST( matingTest );
    CPPUNIT_TEST( createInAreaSelectionTest );
    CPPUNIT_TEST( reproductionTest );
    CPPUNIT_TEST( objectiveValueTest );
    CPPUNIT_TEST( evolutionaryPressureTest );
    CPPUNIT_TEST_SUITE_END();

public:
    CreatureManagerTest();
    void setUp();
    void tearDown();
    void movingTest();
    void dayActivityTest();
    void matingTest();
    void createInAreaSelectionTest ();
    void reproductionTest ();
    void objectiveValueTest ();
    void evolutionaryPressureTest ();
protected:
    Species *humanSpecies;
    Creature *human;
};

#endif // CREATUREMANAGERTEST_H
