#include "exampledata.h"
#include "controller/articlemanager.h"
ExampleData::ExampleData()
    : CppUnit::TestCase()
{
}

void ExampleData::setUp()
{

    bread = new Article("bread", 1.0, 7, 0.5);
    coin = new Article("coin", 0.1, 100*356, 1.0);
    water = new Article("water", 1, 2*356, 0.1);
    energy = new Article("energy", 0.000001);
    soil = new Article("soil", 2.0, 100* 356);
    corn = new Article("corn", 3.0, 2*356);
    grain = new Article("energy", 4.0, 30);
    iron = new Article("iron", 5, 100* 356);
    wood = new Article("wood", 0.5, 50* 356);
    fire = new Article("fire", 0.00001, 1);
    tree = new Article("tree", 1, 50 * 356);


    articleManager = ArticleManager::getManager();
    articleManager->merge(*bread);
    articleManager->merge(*coin);
    articleManager->merge(*water);
    articleManager->merge(*energy);
    articleManager->merge(*soil);
    articleManager->merge(*corn);
    articleManager->merge(*grain);
    articleManager->merge(*iron);
    articleManager->merge(*wood);
    articleManager->merge(*fire);
    articleManager->merge(*tree);

    // Receptura jedzenia chleba
    eatingBread = new Recipe("eatingBread", Container::CREATURE);
    eatingBread->addResource(Container::CREATURE, bread->getId(), 1);
    eatingBread->addProduct(Container::CREATURE, energy->getId(), 1);

    // Kupno drewna
    buyingWood = new Recipe("buyingWood", Container::CREATURE);
    buyingWood->addProduct(Container::CREATURE, wood->getId(), 1);
    buyingWood->addProduct(Container::MARKET, coin->getId(), 5);
    buyingWood->addResource(Container::CREATURE, coin->getId(), 5);
    buyingWood->addResource(Container::MARKET, wood->getId(), 1);

    // Sianie zboża
    sowingCorn = new Recipe("sowingCorn", Container::CREATURE);
    sowingCorn->addProduct(Container::FIELD, corn->getId(), 1);
    sowingCorn->addResource(Container::CREATURE, corn->getId(), 1);
    sowingCorn->addResource(Container::CREATURE, energy->getId(), 1);

    moveLeft  = new Recipe("moveLeft", Container::CREATURE);
    moveLeft->setPositionEffect(-1, 0);
    moveLeft->addResource(Container::CREATURE, energy->getId(), 1);

    // Receptura produkcji pieniądza
    coinageRecipe = new Recipe ("coinage", Container::FIELD);

    coinageRecipe->addProduct(Container::MARKET, coin->getId(), 10.0);
    coinageRecipe->addResource(Container::FIELD, iron->getId(), 1);
    coinageRecipe->addResource(Container::FIELD, wood->getId(), 1);
    coinageRecipe->addResource(Container::FIELD, fire->getId(), 1);

    // Receptura wzrostu rośliny
    plantGrowth = new Recipe ("plantGrowth", Container::FIELD);
    plantGrowth->addProduct(Container::FIELD, wood->getId(), 1);
    plantGrowth->addResource(Container::FIELD, tree->getId(), 1);
    plantGrowth->addResource(Container::FIELD, water->getId(), 1);

    // Opad deszczu
    rainfall = new Recipe ("rainfall", Container::FIELD);
    rainQuantityInRecipe = 10;
    rainfall->addProduct(Container::FIELD, water->getId(), rainQuantityInRecipe);


    naturalPhenomena = NaturalPhenomena::getManager();
    naturalPhenomena->clear();
    zoneManager = ZoneManager::getManager();
    zoneManager->clear();
    fieldManager = FieldManager::getManager();
    fieldManager->clear();
    creatureManager = CreatureManager::getManager();
    creatureManager->clear();
    speciesManager = SpeciesManager::getManager();
    speciesManager->clear();
    recipeExecutor =  RecipeExecutor::getManager();
    stockManager = StockManager::getManager();
    stockManager->clear();
    marketManager = MarketManager::getManager();
    marketManager->clear();


}

void ExampleData::tearDown()
{
    delete bread;
    delete coin;
    delete water;
    delete energy;
    delete soil;
    delete corn;
    delete grain;
    delete iron;
    delete wood;
    delete fire;
    delete tree;

    delete eatingBread;
    delete buyingWood;
    delete sowingCorn;
    delete coinageRecipe;
    delete moveLeft;
    delete plantGrowth;
    delete rainfall;

}
