#ifndef EXAMPLEDATA_H
#define EXAMPLEDATA_H

#include <cppunit/TestCase.h>
#include <cppunit/TestSuite.h>
#include "model/article.h"
#include "model/recipe.h"
#include "model/field.h"

#include "creaturemanager.h"
#include "speciesmanager.h"
#include "fieldmanager.h"
#include "marketmanager.h"
#include "zonemanager.h"
#include "articlemanager.h"
#include "recipeexecutor.h"
#include "stockmanager.h"
#include "naturalphenomena.h"

class ExampleData : public CppUnit::TestCase
{
public:
    ExampleData();
    void setUp();
    void tearDown();
protected:


    Article *bread;
    Article *coin;
    Article *energy;
    Article *water;
    Article *soil;
    Article *corn;
    Article *grain;

    Article *iron;
    Article *wood;
    Article *fire;
    Article *tree;

    // Jedzenie chleba
    Recipe *eatingBread;
    // Kupno drewna
    Recipe *buyingWood;
    // Sianie zboża
    Recipe *sowingCorn;
    // Poruszanie się "w lewo"
    Recipe *moveLeft;
    // Bicie monet
    Recipe *coinageRecipe;
    // Wzrostanie roślin
    Recipe *plantGrowth;
    // Opad deszczu
    Recipe *rainfall;

    double rainQuantityInRecipe;

    ZoneManager *zoneManager;
    FieldManager *fieldManager;
    MarketManager *marketManager;
    CreatureManager *creatureManager;
    SpeciesManager *speciesManager;
    ArticleManager *articleManager;
    RecipeExecutor *recipeExecutor;
    StockManager *stockManager;
    NaturalPhenomena *naturalPhenomena;

};

#endif // EXAMPLEDATA_H
