#include <cppunit/ui/text/TestRunner.h>
#include <cppunit/CompilerOutputter.h>
#include <Qt/qapplication.h>
#include "articletest.h"
#include "recipetest.h"
#include "stocktest.h"
#include "stockmanagertest.h"
#include "articlemanagertest.h"
#include "recipeexecutiontest.h"
#include "zonemanagertest.h"
#include "creaturemanagertest.h"
#include "naturalphenomenatest.h"
#include "dayinworldtest.h"
#include "dbtest.h"

int main( int argc, char **argv)
{
  // QCoreApplication app (argc, argv);

    CPPUNIT_TEST_SUITE_REGISTRATION( ArticleTest );
    CPPUNIT_TEST_SUITE_REGISTRATION( StockTest );
    CPPUNIT_TEST_SUITE_REGISTRATION( RecipeTest );
    CPPUNIT_TEST_SUITE_REGISTRATION( StockManagerTest );
    CPPUNIT_TEST_SUITE_REGISTRATION( ArticleManagerTest );
    CPPUNIT_TEST_SUITE_REGISTRATION( RecipeExecutionTest );
    CPPUNIT_TEST_SUITE_REGISTRATION( ZoneManagerTest );
    CPPUNIT_TEST_SUITE_REGISTRATION( CreatureManagerTest );
    CPPUNIT_TEST_SUITE_REGISTRATION( NaturalPhenomenaTest );
    CPPUNIT_TEST_SUITE_REGISTRATION( DaysInWorldTest);

    /// !!! CPPUNIT_TEST_SUITE_REGISTRATION( DBTest );
    CppUnit::TextUi::TestRunner runner;
    CppUnit::TestFactoryRegistry &registry = CppUnit::TestFactoryRegistry::getRegistry();
    runner.addTest( registry.makeTest() );
    // Change the default outputter to a compiler error format outputter
    runner.setOutputter( new CppUnit::CompilerOutputter( &runner.result(),
                                                         std::cerr ) );
    runner.run();
//QCoreApplication::exit();
    return 0; //app.exec();
}
