#ifndef RECIPEEXECUTIONTEST_H
#define RECIPEEXECUTIONTEST_H

#include <cppunit/extensions/HelperMacros.h>
#include <QString>
#include "exampledata.h"
#include "recipeexecutor.h"
class RecipeExecutionTest : public ExampleData
{
    CPPUNIT_TEST_SUITE( RecipeExecutionTest );
    CPPUNIT_TEST( buyTest );
    CPPUNIT_TEST( moveTest );
    CPPUNIT_TEST( growTest );
    CPPUNIT_TEST( takeTest );
    CPPUNIT_TEST( makeCoinsTest);
    CPPUNIT_TEST_SUITE_END();

public:
    RecipeExecutionTest();
    void setUp();
    void tearDown();
    void buyTest();
    void moveTest();
    void growTest();
    void takeTest();
    void makeCoinsTest();
private:
    // QString currencyId;
    double breadPrice;
    // QString breadId;
    double breadQuantity;
    Recipe *recipe;
    Creature *creature;
    Container::Type currencySource;
    Container::Type breadDestination;
    Container::Type currencyDestination;
    Stock::Set stocks;

    Stock *creatureStock;
    Stock *fieldStock;
    Stock *marketStock;



};

#endif // RECIPEEXECUTIONTEST_H
