#ifndef ZONEMANAGERTEST_H
#define ZONEMANAGERTEST_H

#include <cppunit/extensions/HelperMacros.h>
#include <QString>
#include "exampledata.h"
#include "zonemanager.h"
#include "creaturemanager.h"

class ZoneManagerTest: public ExampleData
{
    CPPUNIT_TEST_SUITE( ZoneManagerTest );
    CPPUNIT_TEST( findingZonesTest );
    CPPUNIT_TEST( worldAreaActualizationTest ); 
    CPPUNIT_TEST( fieldCreaturesReproductionTest );
    CPPUNIT_TEST( fieldEvolutionaryPressureTest );


    CPPUNIT_TEST_SUITE_END();
public:
    ZoneManagerTest();
    void setUp();
    void tearDown();
    void findingZonesTest();
    void worldAreaActualizationTest();
   // void fieldCitizensSelectionTest();
    void fieldCreaturesReproductionTest ();
    void fieldEvolutionaryPressureTest ();

private:
    void testPointsInField (Area &area, Zone &field, QString message);
};

#endif // ZONEMANAGERTEST_H
